## net.sf.antcontrib.design
Class Depends

    java.lang.Object
      net.sf.antcontrib.design.Depends

    public class Depends

extends java.lang.Object

Author:
  dhiller

Constructor Summary
`Depends()`
`Depends(java.lang.String name)`

Method Summary
`java.lang.String` `getName()`
`void` `setName(java.lang.String s)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Depends

    public Depends()

### Depends

    public Depends(java.lang.String name)

Parameters:
  `name` -

Method Detail

### setName

    public void setName(java.lang.String s)

  Parameters:
    `string` -

### getName

    public java.lang.String getName()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`